org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmMapping

-     public interface JPAEdmMapping

  The interface acts a container for storing Java persistence column name. The JPA EDM mapping instance can be associated with any EDM simple, EDM complex property to denote the properties Java persistence column name.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJPAColumnName()` The method gets the Java persistence column name from the mapping container.
    `Class<?>` | `getJPAType()` The method returns the Java persistence entity/property type.
    `Class<? extends ODataJPATombstoneEntityListener>` | `getODataJPATombstoneEntityListener()` The method returns a stateless JPA EntityListener type.
    `boolean` | `isVirtualAccess()`
    `void` | `setJPAColumnName(String name)` The method sets the Java persistence column name into the mapping container.
    `void` | `setJPAType(Class<?> type)` The method sets the Java persistence entity/property type.
    `void` | `setODataJPATombstoneEntityListener(Class<? extends ODataJPATombstoneEntityListener> entityListener)` The method sets a stateless JPA EntityListner type.
    `void` | `setVirtualAccess(boolean virtualAccess)`

- - ### Method Detail

    - #### setJPAColumnName

          void setJPAColumnName(String name)

      The method sets the Java persistence column name into the mapping container.
      Parameters:
        `name` - is the Java persistence column name

    - #### getJPAColumnName

          String getJPAColumnName()

      The method gets the Java persistence column name from the mapping container.
      Returns:
        a String representing the Java persistence column name set into the container

    - #### setJPAType

          void setJPAType(Class<?> type)

      The method sets the Java persistence entity/property type.
      Parameters:
        `type` - is an instance of type Class

    - #### getJPAType

          Class<?> getJPAType()

      The method returns the Java persistence entity/property type.
      Returns:
        type

    - #### setODataJPATombstoneEntityListener

          void setODataJPATombstoneEntityListener(Class<? extends ODataJPATombstoneEntityListener> entityListener)

      The method sets a stateless JPA EntityListner type. The entity listener type should inherit from `com.sap.core.odata.processor.api.jpa.ODataJPATombstoneEntityListener`.
      Parameters:
        `entityListner` - is an instance of type Class

    - #### getODataJPATombstoneEntityListener

          Class<? extends ODataJPATombstoneEntityListener> getODataJPATombstoneEntityListener()

      The method returns a stateless JPA EntityListener type.
      Returns:
        JPA EntityListener type

    - #### isVirtualAccess

          boolean isVirtualAccess()

    - #### setVirtualAccess

          void setVirtualAccess(boolean virtualAccess)

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.